[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#882773: stretch-pu: package auto-apt-proxy/2+deb9u1



Package: release.debian.org
Severity: normal
Tags: stretch
User: release.debian.org@packages.debian.org
Usertags: pu

This fixes a RC bug that has been reported recently, and was just fixed
in unstable.

Diff attached

-- System Information:
Debian Release: buster/sid
  APT prefers unstable-debug
  APT policy: (500, 'unstable-debug'), (500, 'testing-debug'), (500, 'unstable'), (500, 'testing'), (1, 'experimental-debug'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 4.13.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=pt_BR.UTF-8, LC_CTYPE=pt_BR.UTF-8 (charmap=UTF-8), LANGUAGE=pt_BR:pt:en (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)
diff --git a/debian/changelog b/debian/changelog
index 805de64..49a56cd 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,9 @@
+auto-apt-proxy (2+deb9u1) stretch; urgency=medium
+
+  * Move apt configuration away on removal (Closes: #881751)
+
+ -- Antonio Terceiro <terceiro@debian.org>  Sun, 26 Nov 2017 14:14:31 -0200
+
 auto-apt-proxy (2) unstable; urgency=medium
 
   * specify `--shell dash` to shellcheck (Closes: #834976)
diff --git a/debian/postrm b/debian/postrm
new file mode 100644
index 0000000..e39b370
--- /dev/null
+++ b/debian/postrm
@@ -0,0 +1,25 @@
+#! /bin/sh
+
+set -e
+aptconf=/etc/apt/apt.conf.d/auto-apt-proxy.conf
+
+case "$1" in
+    purge)
+        rm -f "$aptconf".disabled
+        ;;
+
+    remove|abort-install)
+        if [ -f "$aptconf" ]; then
+            mv "$aptconf" "$aptconf".disabled
+        fi
+        ;;
+
+    upgrade|failed-upgrade|abort-upgrade|disappear)
+        ;;
+
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 1
+esac
+
+##DEBHELPER##
diff --git a/debian/tests/control b/debian/tests/control
index 79b3cde..8f25fd8 100644
--- a/debian/tests/control
+++ b/debian/tests/control
@@ -1,2 +1,6 @@
 Test-Command: clitest debian/tests/apt-cacher-ng.txt
 Depends: @, clitest, apt-cacher-ng
+
+Tests: remove
+Restrictions: needs-root
+Depends: @, clitest
diff --git a/debian/tests/remove b/debian/tests/remove
new file mode 100755
index 0000000..b40d4e9
--- /dev/null
+++ b/debian/tests/remove
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+set -e
+exec 2>&1
+
+action="$(basename "$0")"
+
+set -x
+apt-get "$action" -qy auto-apt-proxy
+apt-get update

Attachment: signature.asc
Description: PGP signature


Reply to: